<template>

</template>

<script>
export default {
  name: 'CgformAutoListTableWrap',
  data : function() {
    return {};
  },
  props : {
    scopedSlots : {
      type : Object,
      default : function() {
        return {};
      }
    }
  },
  methods : {},
  render : function(h) {
    let self = this;
    let options = Object.assign({}, this.$attrs);
    Object.keys(this.$options.props).forEach(function(attrName) {
      return options[attrName] = self[attrName];
    })
    return h("a-table", {
      tag : "component",
      attrs : options,
      on : this.$listeners,
      scopedSlots : Object.assign({}, this.$scopedSlots, this.scopedSlots)
    }, this.$slots.default);
  }
}
</script>

<style scoped>

</style>